<?php

namespace Garradin\Plugin\Materiels;

use Garradin\DB;

class Output
{
  public function listKinds()
  {
    return array(
      'Vente',
      'Don',
      'Besoin',
      'Autre (perte, vol, ...)',
      'Location / Prêt',
      'Retour de location / prêt',
    );
  }

  public function add($data = [])
	{
    DB::getInstance()->insert('plugin_materiels_output', $data);
	}

  public function edit($id, $data = [])
	{
    $db = DB::getInstance();
    $db->update('plugin_materiels_output', $data, $db->where('id', $id));
	}

  public function listAll()
	{
		return DB::getInstance()->get('SELECT * FROM plugin_materiels_output ORDER BY output_date DESC;');
	}
}
